Subject: bug#57563: 28.1; macOS - layout warning at startup

From: Robert Pluim <[email-masked]>
Date: Fri, 09 Sep 2022 10:55:05 +0200

>>>>> On Fri, 09 Sep 2022 07:02:27 +0200, Gerd Möllmann <[email-masked]> said:

    Gerd> Bob Kline <[email-masked]> writes:
    >> On Thu, Sep 8, 2022 at 12:12 PM Bob Kline <[email-masked]> wrote:
    >>> ... I'm baffled ...
    >> 
    >> I filed a ticket asking for the options used to build the artifacts
    >> installed by homebrew.
    >> 
    >> https://github.com/caldwell/build-emacs/issues/123

    Gerd> Thanks.

    Gerd> I hope they'll tell how they codesign'ed their executable, and how to
    Gerd> change it to let a debugger attach.

I couldnʼt find MAC_OS_X_VERSION_MIN_REQUIRED or
MAC_OS_X_VERSION_MAX_ALLOWED in the homebrew building scripts, which
means theyʼre derived from
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/AvailabilityMacros.h,
which means they depends on what version of macOS they use to build.

Robert
--